%define _unpackaged_files_terminate_build 1

%define ver_major 0.1
%def_disable static

Name: libcm
Version: %ver_major.1
Release: alt1

Summary: Compositor manager library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.ac
BuildRequires: glib2-devel libX11-devel libXext-devel libXcomposite-devel
BuildRequires: libXdamage-devel libXtst-devel libmesa-devel

%description
This library provides support for compositing managers that do fancy things
with window contents, such as translucency, magnification, deformation etc.

%package devel
Summary: Libraries and headers for libcm
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
This package contains development files for libcm. You should only install the
libcm-devel package if you would like to compile applications that use libcm.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%__autoreconf
%configure \
    --disable-static \
    --disable-schemas-install \

%make_build

%install
%makeinstall

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_libdir/libcm.so.*

%files devel
%_libdir/libcm.so
%dir %_includedir/cm
%_includedir/cm/*.h
%_pkgconfigdir/cm.pc

%changelog
* Fri Jun 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.1-alt1
- Initial Sisyphus version.

